var tabla;

//funcion que se ejecuta al inicio
function init(){
   mostrarform(false);
   listar();

   $("#formulario").on("submit",function(e){
   	guardaryeditar(e);
   });
}

//funcion limpiar
function limpiar(){
	$("#nombre").val("");
}

//funcion mostrar formulario 
function mostrarform(flag){
	limpiar();
	if(flag){
		$("#listadoregistros").hide();
		$("#clienteestado").show();
		$("#clienteestado1").show();
		$("#btnGuardar").prop("disabled",false);
		$("#btnagregar").hide();
	}else{
		$("#listadoregistros").show();
		$("#clienteestado").hide();
		$("#clienteestado1").hide();
		$("#btnagregar").show();
	}
}

//cancelar form
function cancelarform(){
	limpiar();
	mostrarform(false);
}

//funcion listar
function listar(){
	tabla=$('#tbllistado').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [
                  'copyHtml5',
                  'excelHtml5',
                  'csvHtml5',
                  'pdf'
		],
		"ajax":
		{
			url:'controladores/estadocuentaclienteControlador.php?op=listarvendedor',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"drawCallback":function(){
			//alert("La tabla se está recargando"); 
			var api 	= this.api();
			//var tactual	= api.column(3, {page:'current'}).data().sum();
		//	var total	= api.column(2).data().sum();
		//	tactual		= number_format(tactual*1,2);
			var data	= api.column(4, {page:'current'}).data();
			var data1	= api.column(5, {page:'current'}).data();
			var data2	= api.column(6, {page:'current'}).data();
			var deuda = 0;
			var pagado=	0;
			var saldo	=	0;
			for (var i = 0; i < data.length; i++) {
				deuda 	= deuda+numero(data[i]);
				pagado 	= pagado+numero(data1[i]);
				saldo 	= saldo+numero(data2[i]);

			}

			deuda		= number_format(deuda*1,2);
			pagado	= number_format(pagado*1,2);
			saldo		= number_format(saldo*1,2);
			/* $(api.column(4).footer()).html('Total Actual:');
			$(api.column(5).footer()).html(tactual); */
			$(api.column(0).footer()).html('Total:');
			$(api.column(4).footer()).html(deuda);
			$(api.column(5).footer()).html(pagado);
			$(api.column(6).footer()).html(saldo);
			
	  	}, 
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[ 3, 'desc' ]]//ordenar (columna, orden) [3,"asc"]
	}).DataTable();
}

function mostrar(idcliente){
	$.post("controladores/estadocuentaclienteControlador.php?op=mostrar",{idcliente : idcliente},
		function(data,status)
		{
			data=JSON.parse(data);
			mostrarform(true);

			$("#nombre").val(data.nombre);
		})
		$.post("controladores/estadocuentaclienteControlador.php?op=listarDetalle&id="+idcliente,function(r){
			console.log(r);
			$("#detalles").html(r);
		});
}

function mostrar1(idventa){
	mostrardetallefactura(idventa)
}

//Mostrar los cobros de un documento
function mostrarcobros(iddocumento,orden) {
	//alert("articulo "+idarticulo);
	console.log('iddocumento: '+iddocumento);
	console.log('orden: '+orden);
	$("#orden").html(orden);
	tabla=$('#tbcobros').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		"paging":   false,
    "ordering": false,
    "info":     false,
		"searching": false,
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		
		"ajax":
		{
			url:'controladores/pagoclienteControlador.php?op=mostrarcobros',
			type: "POST",
			data: {
				iddocumento : iddocumento
			},
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
			/* success: function(datos){
				console.log(datos);
			} */
		},
		"drawCallback":function(){
			var api 	= this.api();
			var data1	= api.column(1).data();
		/*	 var data2	= api.column(3).data();*/
			var data3	= api.column(4).data(); 
			/*var total1	=	0;
			 var total2	=	0;*/
			var total3	=	0; 

			for (var i = 0; i < data1.length; i++) {
      /*	total1 	= total1+numero(data1[i]);
				 total2 	= total2+numero(data2[i]);*/
				total3 	= total3+numero(data3[i]); 
				
      }
			/*total1		= number_format(total1*1,2);
			 total2		= number_format(total2*1,2);*/
			total3		= number_format(total3*1,2); 
			$(api.column(0).footer()).html('Total:');
		/*	$(api.column(1).footer()).html(total1);
		 	$(api.column(3).footer()).html(total2);*/
			$(api.column(4).footer()).html(total3); 
			
	  	},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
	$('#myModalcobros').modal('show');

}

function mostrardetallefactura(idventa){
	console.log('idventa: '+idventa);
	tabla=$('#tbdetallefactura').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		"bPaginate": false, //hide pagination
    "bFilter": false, //hide Search bar
    "bInfo": false, // hide showing entries
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		
		"ajax":
		{
			url:'controladores/ventanControlador.php?op=mostrardetallefactura',
			type: "post",
			data: {
				idventa : idventa
			},
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"drawCallback":function(){
			//alert("La tabla se está recargando"); 
			var api 	= this.api();
		//	var tactual	= api.column(3, {page:'current'}).data().sum();
			var total	= api.column(1).data().sum();
			var total2= api.column(3).data().sum();
			totalt		= number_format(total*1,2);
			totalt2		= number_format(total2*1,2);
			/* $(api.column(4).footer()).html('Total Actual:');
			$(api.column(5).footer()).html(tactual); */
			$(api.column(0).footer()).html('Total:');
			$(api.column(1).footer()).html(totalt);
			$(api.column(3).footer()).html(totalt2);
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[1,"desc"]]//ordenar (columna, orden)
	}).DataTable();
	$('#myModaldetallefactura').modal('show');
}

init();